<?php
namespace Claromentis\Core\Localization;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_4d707fab93bebb" . "00bbe69e8159697" . "c90" => base64_decode(""), "_e608e5b5c4c34a67ba97ef" . "84c1e16199" => base64_decode("J" . "w" . "=" . "="), "_aef8d01f1d32e6333fa01fc4" . "01e05eee" => base64_decode("bG9jYWxp" . "emF0aW9u"), "_982bb11c1217d9ad3a391d" . "72827f54ce" => base64_decode("Q2FuJ3QgZmluZCBsb2NhbGl6YXRpb24g" . "c3RyaW5nICc="));
use Claromentis\Core\Localization\Exception\MissingPhraseException;
use Claromentis\Core\Services;




class Facade
{
    
    
    
    
    protected static $localization;
    
    
    
    
    protected static function Init()
    {
        global $g_application;
        self::$localization = $g_application[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_aef8d01f1d32e6333fa01fc401" . "e05eee"]];
    }
    
    
    
    
    
    
    public static function SetLocalizationService(Localization $_aef8d01f1d32e6333fa01fc401e05eee)
    {
        self::$localization = $_aef8d01f1d32e6333fa01fc401e05eee;
    }
    
    
    
    
    public static function UnsetLocalizationService()
    {
        self::$localization = null;
    }
    
    
    
    
    
    
    public static function SetLanguage($_059707644b06dfe19a36970b58499427)
    {
        if (!self::$localization) {
            self::Init();
        }
        self::$localization->SetLanguage($_059707644b06dfe19a36970b58499427);
    }
    
    
    
    
    public static function GetLanguage()
    {
        if (!self::$localization) {
            self::Init();
        }
        return self::$localization->GetLanguage();
    }
    
    
    
    
    public static function GetLocale()
    {
        if (!self::$localization) {
            self::Init();
        }
        return self::$localization->GetLocale();
    }
    
    
    
    
    public static function GetDateFormatter()
    {
        if (!self::$localization) {
            self::Init();
        }
        return self::$localization->GetDateFormatter();
    }
    
    
    
    
    
    public static function GetPhrase($key)
    {
        if (!self::$localization) {
            self::Init();
        }
        try {
            return self::$localization->getTranslation($key);
        } catch (MissingPhraseException $_fe441aa3ef350bfb1a1a1ad8520dd530) {
            Services::I()->GetLogger($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_aef8d01f1d32e6333fa01" . "fc401e05eee"])->warning($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_982bb11c1217" . "d9ad3a391d728" . "27f54ce"] . $key . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_e608e5b5c4c34a67ba97e" . "f84c1e16199"]);
            return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4d707fab93b" . "ebb00bbe69e8" . "159697c90"];
        }
    }
    
    
    
    
    
    public static function KeyExist($key)
    {
        if (!self::$localization) {
            self::Init();
        }
        return self::$localization->KeyExist($key);
    }
}